/* Import Google Fonts - Nunito, Merienda One */
@import url('https://fonts.googleapis.com/css2?family=Merienda+One&family=Nunito:wght@200;300;400;500;600;700&display=swap');

/* Core styles */
:root {
    --main-color: #be9c79;
    --black: #333;
    --white: #fff;
    --light-color: #666;
    --border: .2rem solid var(--black);
    --box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .1);
}

* {
    font-family: 'Nunito', sans-serif;
    margin: 0; padding: 0;
    box-sizing: border-box;
    outline: none; border: none;
    text-decoration: none;
    list-style: none;
    text-transform: capitalize;
}

*::selection {
    background-color: var(--main-color);
    color: var(--white);
}

::-webkit-scrollbar {
    height: .5rem;
    width: 1rem;
}

::-webkit-scrollbar-track {
    background-color: transparent;
}

::-webkit-scrollbar-thumb {
    background-color: var(--main-color);
}

html {
    font-size: 62.5%; /* defaul value: 16px, => 16 * 0.625 = 10px, => font-size: 10px */
    overflow-x: hidden;
    scroll-behavior: smooth;
    scroll-padding-top: 6rem;
}

section, footer {
    padding: 3rem 2rem;
    max-width: 1200px;
    margin: 0 auto;
}

.btn {
    margin-top: 1rem;
    display: inline-block;
    padding: 1rem 3rem;
    color: var(--white);
    font-size: 1.8rem;
    cursor: pointer;
    background-color: var(--main-color);
}

.btn:hover {
    background-color: var(--black);
}

.heading {
    text-align: center;
    margin-bottom: 3rem;
}

.heading img {
    height: 4rem;
    margin-bottom: 1rem;
}

.heading h3 {
    font-size: 4rem;
    font-family: 'Merienda One', cursive;
    color: var(--black);
}

/* Header section styles */
.header {
    position: sticky;
    top: 0; left: 0; right: 0;
    background-color: var(--white);
    box-shadow: var(--box-shadow);
    z-index: 1000;
}

.header .flex {
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
    padding: 1.5rem 2rem;
}

.header .flex .logo img {
    height: 4.5rem;
}

.header .flex .navbar a {
    font-size: 2rem;
    margin-left: 2rem;
    color: var(--black);
}

.header .flex .navbar a:hover {
    color: var(--main-color);
    text-decoration: underline;
    cursor: pointer;
    transition: all .2s ease;
}

#menu-btn {
    display: none;
    font-size: 2.5rem;
    color: var(--black);
    cursor: pointer;
}

/* Home section styles */
.home-bg {
    background: linear-gradient(90deg, var(--white), transparent 70%), url("../images/home-bg.jpg") no-repeat;
    background-size: cover;
    background-position: center;
}

.home-bg .home {
    min-height: 70rem;
    display: flex;
    align-items: center;
}

.home-bg .home .content {
    width: 50rem;
    text-align: center;
}

.home-bg .home .content h3 {
    font-size: 6rem;
    color: var(--black);
    font-family: 'Merienda One', cursive;
}

.home-bg .home .content p {
    padding: 1rem 0;
    font-size: 1.6rem;
    color: var(--black);
    line-height: 2;
}

/* About section styles */
.about {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 4rem;
}

.about .image {
    flex: 1 1 40rem;
}

.about .image img {
    width: 100%;
}

.about .content {
    flex: 1 1 40rem;
}

.about .content h3 {
    font-family: 'Merienda One', cursive;
    font-size: 4.5rem;
    color: var(--black);
    margin-bottom: 1rem;
}

.about .content p {
    padding: 1rem 0;
    color: var(--light-color);
    font-size: 1.5rem;
    line-height: 2;
}

/* Facility section styles */
.facility .box-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(27rem, 1fr));
    gap: 1.5rem;
    align-items: flex-start;
}

.facility .box-container .box {
    text-align: center;
}

.facility .box-container .box img {
    height: 10rem;
    margin-bottom: .5rem;
}

.facility .box-container .box h3 {
    font-size: 2rem;
    color: var(--black);
    margin: 1rem 0;
}

.facility .box-container .box p {
    font-size: 1.5rem;
    color: var(--light-color);
    line-height: 2;
}

/* Menu section styles */
.menu .box-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, 30rem);
    gap: 2rem;
    align-items: flex-start;
    justify-content: center;
}

.menu .box-container .box {
    text-align: center;
}

.menu .box-container .box img {
    width: 100%;
    margin-bottom: 1rem;
}

.menu .box-container .box h3 {
    font-size: 2rem;
    color: var(--black);
}

/* Gallery section styles */
.gallery .box-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, 32rem);
    gap: 1.5rem;
    justify-content: center;
}

.gallery .box-container img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

/* Team section styles */
.team .box-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, 32rem);
    gap: 1.5rem;
    justify-content: center;
}

.team .box-container .box {
    text-align: center;
}

.team .box-container .box img {
    width: 100%;
    object-fit: cover;
}

.team .box-container .box h3 {
    margin-top: .7rem;
    font-size: 2rem;
    color: var(--black);
}

/* Contact section styles */
.contact .row {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 2rem;
}

.contact .row .image {
    flex: 1 1 50rem;
}

.contact .row .image img {
    width: 100%;
}

.contact .row form {
    flex: 1 1 30rem;
    border: var(--border);
    padding: 2rem;
    text-align: center;
}

.contact .row form h3 {
    font-size: 2.5rem;
    margin-bottom: 1rem;
    color: var(--black);
}

.contact .row form .box {
    width: 100%;
    font-size: 1.8rem;
    padding: 1.4rem;
    color: var(--black);
    border: var(--border);
    margin: 1rem 0;
}

/* Footer section styles */
.footer .box-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(27rem, 1fr));
    gap: 1.5rem;
    align-items: flex-start;
}

.footer .box-container .box {
    text-align: center;
}

.footer .box-container .box i {
    font-size: 2.5rem;
    line-height: 6rem;
    height: 6rem;
    width: 6rem;
    border-radius: 50%;
    background-color: var(--main-color);
    color: var(--white);
    margin-bottom: 1rem;
}

.footer .box-container .box h3 {
    font-size: 2rem;
    margin: 1rem 0;
    color: var(--black);
}

.footer .box-container .box p {
    font-size: 1.5rem;
    line-height: 2;
    color: var(--light-color);
}

.footer .credit {
    text-align: center;
    margin-top: 3rem;
    padding-top: 2.5rem;
    border-top: var(--border);
    font-size: 2rem;
    color: var(--black);
}

.footer .credit span {
    color: var(--main-color);
}























/* Media queries */
@media (max-width: 992px) {

    html {
        font-size: 55%;
    }
}

@media (max-width: 768px) {
    
    #menu-btn {
        display: inline-block;
        transition: .2s linear;
    }

    #menu-btn.fa-times {
        transform: rotate(180deg);
    }

    .header .flex .navbar {
        position: absolute;
        top: 99%; left: 0; right: 0;
        background-color: var(--white);
        border-top: var(--border);
        border-bottom: var(--border);
        clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
        transition: .2s linear;
    }

    .header .flex .navbar.active {
        clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
    }

    .header .flex .navbar a {
        display: block;
        margin: 2rem;
    }

    .home-bg {
        background-position: left;
    }

    .home-bg .home {
        justify-content: center;
    }

    .home-bg .home .content h3 {
        font-size: 4rem;
    }

    .about .content h3 {
        font-size: 3rem;
    }
}

@media (max-width: 450px) {
    
    html {
        font-size: 50%;
    }

    .heading img {
        height: 3rem;
    }

    .heading h3 {
        font-size: 3rem;
    }
}